Bug 510700 - Review Request: unetbootin - Create bootable Live USB drives for a variety of Linux distributions
Review Request: unetbootin - Create bootable Live USB drives for a variety of...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 06:32 EDT by Susi Lehtola
Modified: 2009-08-08 15:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0-6.356bzr.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-03 22:28:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mail: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-07-10 06:32:58 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/unetbootin.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/unetbootin-0-1.356bzr.fc11.src.rpm

Upstream url: http://unetbootin.sourceforge.net/

Description:
UNetbootin allows you to create bootable Live USB drives for a variety of
Linux distributions from Windows or Linux, without requiring you to burn a CD.
You can either let it download one of the many distributions supported
out-of-the-box for you, or supply your own Linux .iso file if you've already
downloaded one or your preferred distribution isn't on the list.

rpmlint output is clean.
Comment 1 Parag AN(पराग) 2009-07-10 06:53:36 EDT
I can't download http://downloads.sourceforge.net/UNetbootin/unetbootin-source-356.tar.gz
Comment 2 Itamar Reis Peixoto 2009-07-10 06:58:04 EDT
when the UNetbootin runs I can see a warning about "7z not found", Can you fix this ?


about unetbootin.desktop what you think about puting this file outside spec file ?
Comment 3 Fabian Affolter 2009-07-10 07:25:14 EDT
Package Review
==============

Package: 

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec
 [x] Package meets the Packaging Guidelines
 [x] Package successfully compiles and builds into binary RPMs on at least one
supported architecture
     Tested on: F11/i386
 [x] Rpmlint output:
     Source RPM:
     [fab@laptop09 SRPMS]$ rpmlint unetbootin-0-1.356bzr.fc11.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):
     [fab@laptop09 i586]$ rpmlint unetbootin*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable
 [x] Buildroot is correct
     master   : %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
     spec file: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license
     License type: GPLv2+
 [-] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc

 [x] Spec file is legible and written in American English
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL
     Upstream source: 4a8e72ab32afbb8564519a211c798f71
     Build source:    4a8e72ab32afbb8564519a211c798f71
 [x] Package is not known to require ExcludeArch
 [-] Architecture independent packages have: BuildArch: noarch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.  %find_lang used for locales
 [x] %{optflags} or RPM_OPT_FLAGS are honoured
 [-] ldconfig called in %post and %postun if required
 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [x] Package must own all directories that it creates
 [x] Package requires other packages for directories it uses
 [x] Package does not own files or directories owned by other packages
 [x] Package does not contain duplicates in %files
 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section
 [x] Package uses nothing in %doc for runtime
 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT
 [-] Included tests passed successfully 
 [x] Package consistently uses macros
 [x] Package contains code, or permissable content
 [x] Included filenames are in UTF-8

 [-] Large documentation files are in a -doc subpackage, if required
 [-] Header files (.h) in -devel subpackage, if present
 [-] Fully versioned dependency in subpackage, if present
 [-] Static libraries (.a) in -static subpackage, if present
 [-] Package requires pkgconfig, if .pc files are present
 [-] Development .so files in -devel subpackage, if present
 [x] Package does not contain any libtool archives (.la)
 [x] -debuginfo subpackage is present and looks complete
 [x] No pre-built binaries (.a, .so*, executable)
 
 [x] Package contains a properly installed .desktop file if it is a GUI application [1]
 [x] Follows desktop entry spec
 [x] Valid .desktop Name
 [x] Valid .desktop GenericName
 [x] Valid .desktop Categories
 [-] Valid .desktop StartupNotify
 [x] .desktop file installed with desktop-file-install in %install

=== SUGGESTED ITEMS ===
 [-] Timestamps preserved with cp and install
 [x] Uses parallel make (%{?_smp_mflags})
 [x] Latest version is packaged
 [x] Package does not include license text files separate from upstream
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available
 [x] Reviewer should test that the package builds in mock
     Tested on: F11/i386
 [x] Package should compile and build into binary RPMs on all supported
architectures.
     Tested:  http://koji.fedoraproject.org/koji/taskinfo?taskID=1465326
 [?] Package functions as described [2]
 [-] Scriptlets must be sane, if used
 [-] The placement of pkgconfig(.pc) files is correct
 [-] File based requires are sane
 [x] Changelog in allowed format

[1] Is there a reason why you aren't using the .desktop file from the source tarball?

[2] If you want to start the application from the menu, there is a warning that it must be run with root permissions.  I think that for end users this will be a bit annoying. 
After the start from the command line as root, a box shows up and tell me that 7zip was not found.
The complete message:
'7z not found. This is required for either install mode.
Install the "p7zip-full" package or your distribution's equivalent.'

But it's available.
[root@laptop09 i586]# rpm -qa p7zip
p7zip-4.65-1.fc11.i586
Comment 4 Fabian Affolter 2009-07-10 07:30:53 EDT
Sorry guys, I guess that I picked the review from somebody. Did I?
Comment 5 Fabian Affolter 2009-07-10 07:33:23 EDT
(In reply to comment #1)
> I can't download
> http://downloads.sourceforge.net/UNetbootin/unetbootin-source-356.tar.gz  

Source0 should be 'http://downloads.sourceforge.net/%{name}/%{name}-source-%{rel}.tar.gz' or similar.
Comment 6 Itamar Reis Peixoto 2009-07-10 07:37:56 EDT
(In reply to comment #4)
> Sorry guys, I guess that I picked the review from somebody. Did I?  

may be, from panemade ?
Comment 7 Susi Lehtola 2009-07-10 07:58:33 EDT
(In reply to comment #4)
> Sorry guys, I guess that I picked the review from somebody. Did I?  

No, no-one had set the review flag, the assigned-to field or the bug status to assigned before you. 

(In reply to comment #5)
> Source0 should be
> 'http://downloads.sourceforge.net/%{name}/%{name}-source-%{rel}.tar.gz' or
> similar.  

thx, fixed.

(In reply to comment #2)
> when the UNetbootin runs I can see a warning about "7z not found", Can you fix
> this ?

fixed.

(In reply to comment #3)
> [1] Is there a reason why you aren't using the .desktop file from the source
> tarball?

Done.

http://theory.physics.helsinki.fi/~jzlehtol/rpms/unetbootin.spec
http://theory.physics.helsinki.fi/~jzlehtol/rpms/unetbootin-0-2.356bzr.fc11.src.rpm
Comment 8 Fabian Affolter 2009-07-10 08:23:20 EDT
Package APPROVED
Comment 9 Susi Lehtola 2009-07-10 08:39:55 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: unetbootin
Short Description: Create bootable Live USB drives for a variety of Linux distributions
Owners: jussilehtola
Branches: F-10 F-11 EL-5
InitialCC:
Comment 10 Jason Tibbitts 2009-07-10 14:13:08 EDT
CVS done.
Comment 11 Fedora Update System 2009-07-10 16:42:21 EDT
unetbootin-0-5.356bzr.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/unetbootin-0-5.356bzr.el5
Comment 12 Fedora Update System 2009-07-10 16:44:07 EDT
unetbootin-0-5.356bzr.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/unetbootin-0-5.356bzr.fc10
Comment 13 Fedora Update System 2009-07-10 16:46:08 EDT
unetbootin-0-5.356bzr.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/unetbootin-0-5.356bzr.fc11
Comment 14 Fedora Update System 2009-07-13 15:38:49 EDT
unetbootin-0-5.356bzr.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unetbootin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0058
Comment 15 Fedora Update System 2009-07-16 02:50:52 EDT
unetbootin-0-5.356bzr.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unetbootin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7551
Comment 16 Fedora Update System 2009-07-16 03:02:46 EDT
unetbootin-0-5.356bzr.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unetbootin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7592
Comment 17 Fedora Update System 2009-07-16 10:19:05 EDT
unetbootin-0-6.356bzr.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/unetbootin-0-6.356bzr.fc10
Comment 18 Fedora Update System 2009-07-16 10:19:44 EDT
unetbootin-0-6.356bzr.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/unetbootin-0-6.356bzr.fc11
Comment 19 Fedora Update System 2009-07-16 10:23:35 EDT
unetbootin-0-6.356bzr.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/unetbootin-0-6.356bzr.el5
Comment 20 Fedora Update System 2009-07-16 16:06:49 EDT
unetbootin-0-6.356bzr.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unetbootin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0088
Comment 21 Fedora Update System 2009-07-22 17:45:35 EDT
unetbootin-0-6.356bzr.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unetbootin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7826
Comment 22 Fedora Update System 2009-07-22 18:07:43 EDT
unetbootin-0-6.356bzr.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update unetbootin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7913
Comment 23 Fedora Update System 2009-08-03 22:28:33 EDT
unetbootin-0-6.356bzr.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2009-08-08 15:26:11 EDT
unetbootin-0-6.356bzr.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-08-08 15:32:59 EDT
unetbootin-0-6.356bzr.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.